﻿'
' DotNetNuke® - http://www.dotnetnuke.com
' Copyright (c) 2002-2010
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
'Imports Microsoft.VisualBasic
Imports System.Xml.Serialization
Imports DotNetNuke.Modules.Chat

Namespace Components

    <Serializable(), XmlRootAttribute("DnnChatUserListPoll")> _
    Public Class DnnChatUserListPoll

#Region " variables "
        Private _timeZone As Integer = 0
        Private _messageType As Integer = 0
        Private _personalMessage As String = String.Empty
#End Region


        <System.Xml.Serialization.XmlAttribute("TZ")> _
        Public Property TimeZone() As Integer
            Get
                Return _timeZone
            End Get
            Set(ByVal value As Integer)
                _timeZone = value
            End Set
        End Property
        <System.Xml.Serialization.XmlAttribute("MT")> _
        Public Property MessageType() As Integer
            Get
                Return _messageType
            End Get
            Set(ByVal value As Integer)
                value = Integer.Parse(DnnChatCodeHelper.RemoveShadyHtmlTags(value.ToString))
                _messageType = value
            End Set
        End Property
        <System.Xml.Serialization.XmlAttribute("PM")> _
        Public Property PersonalMessage() As String
            Get
                Return _personalMessage
            End Get
            Set(ByVal value As String)
                _personalMessage = value
            End Set
        End Property

        Public Sub New()

        End Sub
    End Class
End Namespace
