﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="UserListSettings.ascx.vb" Inherits="DotNetNuke.Modules.Chat.UserListSettings" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<table id="tblSettings" runat="server" cellspacing="0" cellpadding="2" border="0" summary="UserListSettings Design Table" style="width: 100%">
    <tr>
        <td class="SubHead" style="vertical-align: top; width:200px;">
            <dnn:Label ID="lblChatWindowModuleID" runat="server" ControlName="txtChatWindowModuleID" Suffix=":">
            </dnn:Label>
        </td>
        <td style="vertical-align: top">
            <asp:TextBox ID="txtChatWindowModuleID" CssClass="NormalTextBox" runat="server" Columns="10" />
            <asp:CompareValidator ID="CompareValidator1" runat="server" ResourceKey="valPollingInterval.ErrorMessage"
                Type="Integer" Operator="DataTypeCheck" ControlToValidate="txtChatWindowModuleID" CssClass="NormalRed" />
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="vertical-align: top">
            <dnn:Label ID="lblPollingInterval" runat="server" ControlName="txtPollingInterval" Suffix=":">
            </dnn:Label>
        </td>
        <td style="vertical-align: top">
            <asp:TextBox ID="txtPollingInterval" CssClass="NormalTextBox" runat="server" Columns="10"/>
            <asp:CompareValidator ID="valPollingInterval" runat="server" ResourceKey="valPollingInterval.ErrorMessage"
                Type="Integer" Operator="DataTypeCheck" ControlToValidate="txtPollingInterval" CssClass="NormalRed" />
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="vertical-align: top">
            <dnn:Label ID="lblAddditionalListItems" runat="server" ControlName="chkLastMessage" Suffix=":"></dnn:Label>
        </td>
        <td style="vertical-align: top">
            <asp:CheckBox ID="chkJoined" CssClass="NormalTextBox" runat="server" />
            <dnn:Label ID="txtJoined" runat="server" CssClass="Normal"></dnn:Label>
           
            <asp:CheckBox ID="chkLastMessage" CssClass="NormalTextBox" runat="server" />
            <dnn:Label ID="txtLastMessage" runat="server" CssClass="Normal"></dnn:Label>
               
            <asp:CheckBox ID="chkPolling" CssClass="NormalTextBox" runat="server"/>
            <dnn:Label ID="txtPolling" runat="server" CssClass="Normal"></dnn:Label>
        </td>
    </tr>
</table>
